Files & Requests
List requests
Return a paginated list of evidence and claims requests, with optional filtering and ordering.
GET
/
v1
/
requests
List requests
curl --request GET \
--url https://api.slate.inc/files/v1/requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/files/v1/requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/files/v1/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"totalCount": 123,
"countExceedsLimit": true,
"previousCursor": "<string>",
"nextCursor": "<string>"
},
"fileRequests": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterId": "<string>",
"owner": "<string>",
"status": "pending",
"exhibits": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exhibitOrder": 123,
"fileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"key": "<string>",
"templateIndex": 123,
"fileName": "<string>"
}
],
"templates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"templateReference": "<string>",
"index": 123,
"labelingMode": "numbers",
"templateContext": {
"debtor": "borrower"
},
"pendingDelete": true,
"triggerContext": {
"templateType": "<string>",
"lifecycleStep": "<string>",
"lineOfBusiness": "<string>"
}
}
],
"state": "<string>",
"crid": "<string>",
"priority": 123,
"createdOn": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"completedBy": "<string>",
"completedOn": "2023-11-07T05:31:56Z",
"rejectedBy": "<string>",
"rejectedOn": "2023-11-07T05:31:56Z",
"processingBy": "<string>",
"processingStartedOn": "2023-11-07T05:31:56Z",
"firmCode": "<string>",
"firmId": "<string>",
"requestedFields": [
{
"templateId": "<string>",
"fields": [
{
"name": "<string>",
"label": "<string>",
"required": true,
"type": "string",
"enumValues": [
"<string>"
],
"description": "<string>",
"displayed": true
}
]
}
],
"filledFields": [
{
"templateId": "<string>",
"fields": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"generatedFile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": "<string>",
"status": "active",
"uploadStatus": "pending",
"fileName": "<string>",
"crid": "<string>",
"key": "<string>",
"description": "<string>",
"uploadedOn": "2023-11-07T05:31:56Z",
"downloadUrl": "<string>",
"creditorCreationDate": "2023-11-07T05:31:56Z",
"uploadedBy": "<string>",
"lastViewed": "2023-11-07T05:31:56Z",
"lastViewedBy": "<string>",
"lastDownloaded": "2023-11-07T05:31:56Z",
"lastDownloadedBy": "<string>",
"fileType": "<string>",
"metadata": {
"fileRequest": {
"totalSize": 123,
"outputDocuments": [
{
"fileSize": 123,
"isExhibit": true,
"pageOffset": 123
}
]
}
},
"fileAttributes": {
"application/pdf": {
"pageCount": 123,
"textOnlyPageCount": 123,
"imageOnlyPageCount": 123,
"mixedPageCount": 123,
"dpiMin": 123,
"dpiMax": 123
},
"sizeBytes": 123,
"contentType": "<string>"
},
"redactionSummary": {
"latestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latestStatus": "pending",
"count": 2,
"latestCreatedOn": "2023-11-07T05:31:56Z",
"latestErrorMessage": "<string>"
}
},
"notes": "<string>"
}
]
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}{
"message": "<string>",
"reason": "MISSING_TOKEN_OR_PERMISSIONS"
}Authorizations
Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.
Query Parameters
Tenant owner for machine-to-machine requests
Number of items per page
Required range:
x >= 1Cursor for pagination
Available options:
asc, desc Available options:
pending, completed, rejected The column to order the results by, defaults to id
Available options:
id, crid, createdOn, matterId, priority One or more columns and their values on which to filter results
Show child attributes
Show child attributes
⌘I
List requests
